'''
Created on Oct 13, 2012

A domain declaration from a dtel specification
@author: Carr
'''

class Domain(object) :


    def __init__(self ,name,  entryPoints, permissions, transitions, setauth) :
        '''
        
        :param name: The domain name
        :param entryPoints: the entry point programs for this domain
        :param permissions: the file permissions for this domain
        :param transitions: the possible transitions to other domains
        :param setauth: does this domain have setauth ability
        '''
        self.name = name
        self.entryPoints = entryPoints
        self.permissions = permissions
        self.transitions = transitions
        self.setauth = setauth

    
    def getName(self) : return self.name 
    def getEntryPoints(self) : return self.entryPoints
    def getPermissions(self) : return self.permissions 
    def getTransitions(self) : return self.transitions 
    def isSetAuth(self) : return self.setauth 